<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$involvement_view = new involvement_view();

// Run the page
$involvement_view->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$involvement_view->Page_Render();
?>
<?php include_once "header.php"; ?>
<?php if (!$involvement_view->isExport()) { ?>
<script>
var finvolvementview, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "view";
	finvolvementview = currentForm = new ew.Form("finvolvementview", "view");
	loadjs.done("finvolvementview");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php } ?>
<?php if (!$involvement_view->isExport()) { ?>
<div class="btn-toolbar ew-toolbar">
<?php $involvement_view->ExportOptions->render("body") ?>
<?php $involvement_view->OtherOptions->render("body") ?>
<div class="clearfix"></div>
</div>
<?php } ?>
<?php $involvement_view->showPageHeader(); ?>
<?php
$involvement_view->showMessage();
?>
<form name="finvolvementview" id="finvolvementview" class="form-inline ew-form ew-view-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="involvement">
<input type="hidden" name="modal" value="<?php echo (int)$involvement_view->IsModal ?>">
<table class="table table-striped table-sm ew-view-table">
<?php if ($involvement_view->id->Visible) { // id ?>
	<tr id="r_id">
		<td class="<?php echo $involvement_view->TableLeftColumnClass ?>"><span id="elh_involvement_id"><?php echo $involvement_view->id->caption() ?></span></td>
		<td data-name="id" <?php echo $involvement_view->id->cellAttributes() ?>>
<span id="el_involvement_id">
<span<?php echo $involvement_view->id->viewAttributes() ?>><?php echo $involvement_view->id->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($involvement_view->Activity->Visible) { // Activity ?>
	<tr id="r_Activity">
		<td class="<?php echo $involvement_view->TableLeftColumnClass ?>"><span id="elh_involvement_Activity"><?php echo $involvement_view->Activity->caption() ?></span></td>
		<td data-name="Activity" <?php echo $involvement_view->Activity->cellAttributes() ?>>
<span id="el_involvement_Activity">
<span<?php echo $involvement_view->Activity->viewAttributes() ?>><?php echo $involvement_view->Activity->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($involvement_view->Status->Visible) { // Status ?>
	<tr id="r_Status">
		<td class="<?php echo $involvement_view->TableLeftColumnClass ?>"><span id="elh_involvement_Status"><?php echo $involvement_view->Status->caption() ?></span></td>
		<td data-name="Status" <?php echo $involvement_view->Status->cellAttributes() ?>>
<span id="el_involvement_Status">
<span<?php echo $involvement_view->Status->viewAttributes() ?>><?php echo $involvement_view->Status->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
</table>
</form>
<?php
$involvement_view->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<?php if (!$involvement_view->isExport()) { ?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php } ?>
<?php include_once "footer.php"; ?>
<?php
$involvement_view->terminate();
?>